Migration vers 360 Learning

Bonjour, je n’utilise pas directement SCENARI (simplement responsable informatique) mais l’équipe qui l’utilise chez nous a un souci…
Nous devons migrer vers 360 Learning et nous n’y arrivons pas. Même au format SCORM 2004, pourtant accepté des deux côtés. Les fichiers ne passent pas correctement, nous n’arrivons jamais à la “fin”, à l’état “terminé” une fois un cours achevé.
En regardant le contenu des zip, je constate l’absence d’un fichier qui est présent dans les fichiers SCORM 2004 créés par 360 LEARNING : ScormEnginePackageProperties.xsd

A priori la propriété manquante est :
cmi.completion_status pour les SCORM 2004
cmi.core.lesson_status pour les SCORM 1.2

Et nous ne savons pas comment l’implémenter depuis Scenari… Nous sommes en version 3.7

Merci d’avance de votre aide !

Bonjour Laurent,

En multi-sco 1.2, cmi.core.lesson_status est bien remonté individuellement pour chacun des sco.

En mono-sco, en théorie il doit aussi être remonté si 100% du cours est exploré (mais sur certains cours complexe avec des renvoies, références, ou autres mécanismes qui font que des pages existent mais sans que l’apprenant pense à les consulter, je ne sais pas si c’est le cas, je ne me souviens plus du comportement pour ces pages). Il vaut mieux de toute façon utiliser le multi-sco si vous avez besoin d’un suivi fin du parcours des apprenants (par exemple récupérer les notes des auto-éval).

De mémoire, cela fonctionne aussi pour 2004.

Je ne suis pas sûr que le fichier ScormEnginePackageProperties.xsd fasse partie de la norme.

Cordialement,

Stéphane

Merci de votre réponse rapide.
Le test que j’ai pu faire était avec un cours linéaire, et pourtant à la fin cela reste sur 50% de complétude sous 360 LEARNING.
Dois-je en déduire que le fichier exporté de 360 LEARNING au format SCORM 2004 n’est pas exactement à la norme (au vu du fichier qui contient notamment les paramètres globaux de complétude et autres), et que, donc, l’incompatibilité viendrait de là, et que les SCORM 2004 générés depuis Scenari seraient incompatibles ?
(Je parle de 2004 car c’est l’exemple que j’ai constaté moi-même, mais l’équipe a testé tous les formats).

Difficile à dire sans des tests plus poussés directement sur la plateforme. L’avantage de la norme SCORM, aussi imparfaite soit-elle, c’est qu’il n’est à priori pas possible d’avoir deux outils “incompatibles” qui respectent la même norme. L’un des deux ne la respecte pas correctement.

Je suis plutôt confiant sur le multi-sco avec Scenari et Opale 3.7 (après avoir vérifié les données envoyées et testé personnellement avec moodle et ilias), mais il peut y avoir des situations complexes, donc si vous identifiez plus précisément un bug coté Scenari n’hésitez pas à nous donner les infos précises. Quand c’est une plateforme libre parfois on peut regarder mais sur les plateformes propriétaires c’est plutôt à l’éditeur de faire le support (enfin c’est mon avis perso qui n’engage que moi).

Par exemple j’ai vu une ancienne plateforme qui essayait d’enregistrer les résultats du SCO courant dans le prochain SCO ouvert par l’apprenant lors des changements de page, ce qui ne peut pas donner de résultat fiables. Je ne dit pas que c’est le cas ici mais c’est le genre de chose à tester, par les outils de la plateforme et/ou le debugger js du navigateur.